Skip to main content
GET
/
v1
/
abc
/
search
Search Licenses
curl --request GET \
  --url https://api.nexusfeed.dev/v1/abc/search
{
  "state": "<string>",
  "query": {},
  "total_results": 123,
  "results": [
    {
      "license_number": "<string>",
      "license_type_code": "<string>",
      "dba_name": "<string>",
      "owner_name": "<string>",
      "expiration_date": "2023-12-25",
      "status": "ACTIVE",
      "address": {
        "street": "<string>",
        "city": "<string>",
        "state": "<string>",
        "zip_code": "<string>",
        "county": "<string>",
        "raw": "<string>"
      },
      "suspensions": [
        {
          "start_date": "2023-12-25",
          "end_date": "2023-12-25",
          "reason": "<string>"
        }
      ]
    }
  ],
  "_verifiability": {
    "source_timestamp": "2023-11-07T05:31:56Z",
    "extraction_confidence": 123,
    "raw_data_evidence_url": "<string>",
    "extraction_method": "api_mirror",
    "data_freshness_ttl_seconds": 123
  }
}

Query Parameters

state
string
default:CA

Two-letter state code. Supported: CA, TX, NY, FL, IL. TX requires 2Captcha configuration on the server.

dba_name
string | null

Trade name or DBA (doing business as) to search for. Partial matches supported.

owner_name
string | null

License owner or applicant name. Partial matches supported.

address
string | null

Street address or city to filter by.

Response

Successful Response

state
string
required
query
Query · object
required
total_results
integer
required
results
LicenseRecord · object[]
required
_verifiability
Verifiability · object
required